Debian Bug report logs - #507477
regression: Integrity Checks does not work anymore

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Marco Amadori <amadorim@vdavda.com>

Date: Mon, 1 Dec 2008 17:09:02 UTC

Severity: important

Found in version live-initramfs/1.154.1-1

Fixed in version live-initramfs/1.154.2-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#507477; Package live-initramfs. (Mon, 01 Dec 2008 17:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Amadori <amadorim@vdavda.com>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Mon, 01 Dec 2008 17:09:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marco Amadori <amadorim@vdavda.com>
To: submit@bugs.debian.org
Subject: regression: Integrity Checks does not work anymore
Date: Mon, 1 Dec 2008 18:07:12 +0100
Package: live-initramfs
Version: 1.154.1-1
Severity: important

Booting with "integrity-check" halts the boot process, probably because the 
default "md5sum" binary in that context, is still the busybox one, which does 
not support the "-c" option.

Moreover the "reboot" command tries to redirect to "shutdown" which could not 
be found:

Those are the last console output lines:
------------ * -----------
Begin: Running /scripts/live-bottom ... md5sum: can't open '-c': No such file 
or directory
WARNING: could not determine runlevel - doing soft reboot
  (it's better to use shutdown instead of reboot from the command line)
shutdown: No such file or directory
------------ * -----------

Please comment on the shutdown thing, so a clean fix could be prepared, for 
the md5sum part I think that just calling /usr/bin/md5sum directly could fix 
it.

-- 
ESC:wq

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.





Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 11 Dec 2008 06:48:03 GMT) Full text and rfc822 format available.

Notification sent to Marco Amadori <amadorim@vdavda.com>:
Bug acknowledged by developer. (Thu, 11 Dec 2008 06:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 507477-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 507477-close@bugs.debian.org
Subject: Bug#507477: fixed in live-initramfs 1.154.2-1
Date: Thu, 11 Dec 2008 06:17:03 +0000
Source: live-initramfs
Source-Version: 1.154.2-1

We believe that the bug you reported is fixed in the latest version of
live-initramfs, which is due to be installed in the Debian FTP archive:

live-initramfs_1.154.2-1.diff.gz
  to pool/main/l/live-initramfs/live-initramfs_1.154.2-1.diff.gz
live-initramfs_1.154.2-1.dsc
  to pool/main/l/live-initramfs/live-initramfs_1.154.2-1.dsc
live-initramfs_1.154.2-1_all.deb
  to pool/main/l/live-initramfs/live-initramfs_1.154.2-1_all.deb
live-initramfs_1.154.2.orig.tar.gz
  to pool/main/l/live-initramfs/live-initramfs_1.154.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 507477@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-initramfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 11 Dec 2008 06:00:00 +0100
Source: live-initramfs
Binary: live-initramfs
Architecture: source all
Version: 1.154.2-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-initramfs - Debian Live initramfs hook
Closes: 507477
Changes: 
 live-initramfs (1.154.2-1) unstable; urgency=medium
 .
   [ Daniel Baumann ]
   * Updating authors file.
 .
   [ Marco Amadori ]
   * Reworked integrity-check (Closes: #507477).
   * Cleaned the boot log a bit.
Checksums-Sha1: 
 62d67cc63ac926d6d07a69a040c23569dd461ae4 1298 live-initramfs_1.154.2-1.dsc
 fa5ed4694b7c59b5b8204bb1efe52bda65ee479b 79927 live-initramfs_1.154.2.orig.tar.gz
 07cd7ddf16ba0c3d46bdb86b4a3610bc45729e1c 9866 live-initramfs_1.154.2-1.diff.gz
 a06d559874a970d1fd443083913187473c82e09f 86218 live-initramfs_1.154.2-1_all.deb
Checksums-Sha256: 
 7a1f31710855cdd2ab5cafd386d6b2dbe7459d13efafa6a56ebba126a09f3500 1298 live-initramfs_1.154.2-1.dsc
 6b51dedb1fe462d78c9cdabbd32b69725e5d49c65c7fee9a5c7760220a8ad3ea 79927 live-initramfs_1.154.2.orig.tar.gz
 b768ea3b8f285d8d5fda48aeb82dff0bbc51dedf2895d3faafd6180ccfe38edd 9866 live-initramfs_1.154.2-1.diff.gz
 6022a124bb43e3c4f543fa230155e6177ce7dc028272bbe6215659b1cb0c94f6 86218 live-initramfs_1.154.2-1_all.deb
Files: 
 64fc3d4bceb0c36d7c42727f35fcece5 1298 misc optional live-initramfs_1.154.2-1.dsc
 2a5aa1913107eca52d589aee78276577 79927 misc optional live-initramfs_1.154.2.orig.tar.gz
 9d3127573927faa5e7718b4bc78c7826 9866 misc optional live-initramfs_1.154.2-1.diff.gz
 a77eebd8b1d0404dd8929de3aa863edd 86218 misc optional live-initramfs_1.154.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAklArJoACgkQ+C5cwEsrK57YeQCbBoJMAO5aVGDg8/YaS0o3UjAq
9kAAoJFHhyImeZ+VXX4xTrzrbdq3CdSn
=d710
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 09 Jan 2009 07:28:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:01:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.